# til/Version File Reference

`#include <osgUtil/Export>`

Include dependency graph for til/Version:

This graph shows which files directly or indirectly include this file:

## Defines

#define | OSGUTIL_VERSION 1

## Functions

OSGUTIL_EXPORT const char * | osgUtilGetVersion ()
| osgUtilGetVersion() returns the library version number.
OSGUTIL_EXPORT const char * | osgUtilGetLibraryName ()
| osgUtilGetLibraryName() returns the library name in human friendly form.

## Define Documentation

#define OSGUTIL_VERSION 1

## Function Documentation

OSGUTIL_EXPORT const char* osgUtilGetLibraryName | ( |  | ) |

| osgUtilGetLibraryName() returns the library name in human friendly form.

OSGUTIL_EXPORT const char* osgUtilGetVersion | ( |  | ) |

osgUtilGetVersion() returns the library version number.

Numbering convention : osg_src-0.8-31 will return 0.8.31 from osgUtilGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph (OSG) utility library
     #
     AC_CHECK_LIB(osg, osgUtilGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph utility library not found. See http://www.openscenegraph.org)],)